Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.log
Class Logger

    java.lang.Object
      tle.framework.log.Logger

    public class Logger

extends java.lang.Object

프레임워크 실행과 관련된 모든 로그 메시지를 기록한다.

Commons Logging API를 사용하여 로그를 기록한다. 사용하는 org.apache.commons.logging.Log의 이름은 "tle.framework.log.Logger"이다. 이 Logger는 사용할 로거에 대한 설정 정보를 변경하지 않기 때문에 로거의 특징을 변경하고 싶다면 직접 "tle.framework.log.Logger"에 대한 설정 정보를 변경해주는 기능을 구현해야 한다.

Since:
  2.0
Author:
  최범균

Constructor Summary
`Logger()`

Method Summary
`static void` | `debug(java.lang.Object msg)`
`static void` | `debug(java.lang.Object msg, java.lang.Throwable t)`
`static void` | `error(java.lang.Object msg)`
`static void` | `error(java.lang.Object msg, java.lang.Throwable t)`
`static void` | `fatal(java.lang.Object msg)`
`static void` | `fatal(java.lang.Object msg, java.lang.Throwable t)`
`static void` | `info(java.lang.Object msg)`
`static void` | `info(java.lang.Object msg, java.lang.Throwable t)`
`static boolean` | `isDebugEnabled()`
`static boolean` | `isErrorEnabled()`
`static boolean` | `isFatalEnabled()`
`static boolean` | `isInfoEnabled()`
`static boolean` | `isTraceEnabled()`
`static boolean` | `isWarnEnabled()`
`static void` | `trace(java.lang.Object msg)`
`static void` | `trace(java.lang.Object msg, java.lang.Throwable t)`
`static void` | `warn(java.lang.Object msg)`
`static void` | `warn(java.lang.Object msg, java.lang.Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Logger

    public Logger()

Method Detail

### isTraceEnabled

    public static boolean isTraceEnabled()

### trace

    public static void trace(java.lang.Object msg)

### trace

    public static void trace(java.lang.Object msg,
                             java.lang.Throwable t)

### isDebugEnabled

    public static boolean isDebugEnabled()

### debug

    public static void debug(java.lang.Object msg)

### debug

    public static void debug(java.lang.Object msg,
                             java.lang.Throwable t)

### isInfoEnabled

    public static boolean isInfoEnabled()

### info

    public static void info(java.lang.Object msg)

### info

    public static void info(java.lang.Object msg,
                            java.lang.Throwable t)

### isWarnEnabled

    public static boolean isWarnEnabled()

### warn

    public static void warn(java.lang.Object msg)

### warn

    public static void warn(java.lang.Object msg,
                            java.lang.Throwable t)

### isErrorEnabled

    public static boolean isErrorEnabled()

### error

    public static void error(java.lang.Object msg)

### error

    public static void error(java.lang.Object msg,
                             java.lang.Throwable t)

### isFatalEnabled

    public static boolean isFatalEnabled()

### fatal

    public static void fatal(java.lang.Object msg)

### fatal

    public static void fatal(java.lang.Object msg,
                             java.lang.Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD